import request from '@/utils/request'

// 查询生成汇总列表
export function listGather(query) {
  return request({
    url: '/kaohe/gather/list',
    method: 'get',
    params: query
  })
}

// 查询生成汇总详细
export function getGather(id) {
  return request({
    url: '/kaohe/gather/' + id,
    method: 'get'
  })
}

// 新增生成汇总
export function addGather1(data) {
  return request({
    url: '/kaohe/gather',
    method: 'post',
    data: data
  })
}

// 新增生成汇总
export function addGather(data) {
  return request({
    url: '/kaohe/gather/generateSum',
    method: 'post',
    data: data
  })
}

// 修改生成汇总
export function updateGather(data) {
  return request({
    url: '/kaohe/gather',
    method: 'put',
    data: data
  })
}

// 删除生成汇总
export function delGather(id) {
  return request({
    url: '/kaohe/gather/' + id,
    method: 'delete'
  })
}
